Bug 852252 - Dose not strict recognize invalid option if adding invalid option after a valid option
Dose not strict recognize invalid option if adding invalid option after a val...
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 22:39 EDT by Wei Sun
Modified: 2015-05-14 22:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-09 12:24:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2012-08-27 22:39:13 EDT
Description of problem:
I use "rhc domain show -dj" or "rhc -vj",can work.But use "rhc domain show -h",don't find "j" option in the list.

Version-Release number of selected component (if applicable):
rhc-0.98.3

How reproducible:
always

Steps to Reproduce:
1.rhc domain show -dj
2.rhc -vj
3.
  
Actual results:
[sunwei@dhcp-8-229 ~]$ rhc domain show -dj
Password: ******

D, [2012-08-28T10:25:08.203822 #31430] DEBUG -- : Connecting to https://ec2-184-72-186-180.compute-1.amazonaws.com/broker/rest/api
D, [2012-08-28T10:25:10.539176 #31430] DEBUG -- : Getting all domains

User Info
=========
Namespace: No namespaces found. You can use 'rhc domain create <namespace>' to create a namespace for your applications.

Login: wsundev@redhat.com



[sunwei@dhcp-8-229 ~]$ rhc -vj
rhc 0.98.3


Expected results:
Should return the information like "The command 'rhc ' is not recognized."

Additional info:
if only input invalid option,eg, rhc -j,can get that error information:"The command 'rhc ' is not recognized."

[sunwei@dhcp-8-229 ~]$ rhc -j
The command 'rhc ' is not recognized.


But if add valid option before invalid option,don't recognize that invalid option.
Comment 1 John (J5) Palmieri 2012-10-09 12:24:48 EDT
This is just a base reality of how OptionParser works in ruby.

Note You need to log in before you can comment on or make changes to this bug.